Subject: Re: ethernet: ti: cpsw/mdio: suspend/resume

From: Daniel Mack <[email-masked]>
Date: Thu, 15 Aug 2013 12:04:19 +0200

On 15.08.2013 11:57, Mugunthan V N wrote:
> On Thursday 15 August 2013 02:16 AM, Daniel Mack wrote:
>> Vaibhav told me that you are working on a patch to add suspend/resume
>> functions to the cpsw and davinci_mdio driver, but searching my archives
>> didn't bring up anything.
>>
>> May I ask whether you have a link to your work, or can I help here in
>> any way?
>>
>>
>> Thanks,
>> Daniel
> Sorry for re-posting the same mail as my previous mail was in html format
> 
> Thanks for your helping hand. All my patches for CPSW suspend/resume had
> already applied

You're talking about the pinctrl related patches, right?

> and with Dave Gerlach AM335x suspend/resume patches CPSW
> suspend/resume works fine. Dave Gerlach has his branch published at
> below link which I had already tested suspend.resume with CPSW ping traffic.
> https://github.com/dgerlach/linux-pm/tree/am335x-3.11rc4-suspend-resume

Hmm, I'm testing with this tree as well, and at least when mounting the
rootfs via NFS, ethernet is dead after resume. But I'll do more tests
soon and let you know. I just thought I'm missing some patch.

Thanks for the update,
Daniel